/*
  Modul Algoritm
  part of Arduino Mega Server project
*/

/* значение по которому ведется регулирование
 * в примере это значени будет задаваться вручную с web
 */
int value1 = 1;

// mode режим
  // 0 - ручной
  // 1 - по значению датчика
  // 2 - по времени
  // 3 - not defined and not contXstatus
byte rele1mode = 0;

/* значения максимальных и минимальых значений для включения  
 * и выключения RELE1 
 */
int value_on = 0;
int value_off = 50;
int value_web = 0;

/* время включения по умолчанию /часы, минуты/
 * при необходимости можно добавить секунды 
 */
int r1hour_on = 19; int r1minute_on = 00;
int r1hour_off = 19; int r1minute_off = 15;

void Regul(){

if (rele1state == 0&&rele1mode == 0&&value_web == 1){ rele1state = 1;} else{};

if (rele1state == 1&&rele1mode == 0&&value_web == 0){ rele1state = 0;} else{};
  
if (rele1state == 0&&rele1mode == 2&& int (hour()) * 100 + int (minute()) >= (r1hour_on * 100 + r1minute_on) && int (hour()) * 100 + int (minute()) < (r1hour_off * 100 + r1minute_off)) {

  rele1state = 1;} else{};

if (rele1state == 1&&rele1mode == 2&& int (hour()) * 100 + int (minute()) >= (r1hour_off * 100 + r1minute_off) || rele1state == 1&&rele1mode == 2&& int (hour()) * 100 + int (minute()) < (r1hour_on * 100 + r1minute_on)) {
	
  rele1state = 0;} else{};

  if (rele1state == 0&&rele1mode == 1&&value_on >= value1){
  rele1state = 1;} else{};

  if (rele1state == 1&&rele1mode == 1&&value_off <= value1){
  rele1state = 0;} else{};
}


